Subscriptions

Update a Subscription

Updates an existing subscription. Follow conventional PATCH behavior, so only included fields will be updated.

PATCH
/v1-alpha/subscriptions/{subscriptionID}
x-api-key<token>

Authenticate using API Key in request header

In: header

Path Parameters

subscriptionID*string

ID of the subscription to update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.bem.ai/v1-alpha/subscriptions/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "name": "string",
  "subscriptionID": "string",
  "type": "transform",
  "functionID": "string",
  "functionName": "string",
  "collectionID": "string",
  "collectionName": "string",
  "disabled": true,
  "webhookURL": "string",
  "s3Bucket": "string",
  "s3FilePath": "string",
  "googleDriveFolderID": "string"
}